Packages - Bug #2263

New LLVM breaks [libre/kdevelop] and [libre/qtcreator] (blocks upgrading)
2019-04-02 12:25 AM - freemor

Status: fixed % Done: 80%
Priority: broken

Assignee: bill-auger

Category:

Description

Both wil need rebuilds.
I've started on kdevelop.

Created this BR to (hopefully) stem the tide of "it's broken/can't upgrade" BRs related to this issue.

I'll get gtcreator next. This will take a while these are larger builds

History

#1 - 2019-04-02 05:19 PM - freemor
- % Done changed from 0 to 70
x86_64 packages away!

armv7h packages cooking

i686 llvm 8.0.0. hasn't landed yet

#2 - 2019-04-06 12:00 PM - freemor
- % Done changed from 70 to 80

kdevelop for armv7h pushed
#3 - 2019-08-01 05:14 AM - bill-auger
i thought we lost 'kdevelop' to the 'gt5-webengine' bandwagon

anyways there is an updated PKGBUILD for gtcreator v4.9.2 in abslibre - it builds ok for x86_64 but i havent checked it out - if someone gets to
gtcreator before me, look for an error in the GUI like this:

/usr/lib/gtcreator/plugins/libQbsProjectManager.so:

Cannot load library /usr/lib/gtcreator/plugins/libQbsProjectManager.so: (libgbscore.so.1.12:
cannot open shared object file: No such file or directory)

it is present in the current version v4.8.2 and seems harmless so i didnt fix it

#4 - 2020-08-01 07:59 AM - bill-auger

- Assignee changed from freemor to bill-auger

#5 - 2020-08-01 07:59 AM - bill-auger

- Status changed from in progress to fixed
